Name:           python-entrypoints
Version:        0.2.3
Release:        10
Summary:        Discover and load entry points from installed packages
License:        MIT
URL:            https://entrypoints.readthedocs.io/
Source0:        https://github.com/takluyver/entrypoints/archive/%{version}/entrypoints-%{version}.tar.gz

BuildRequires:  python2-devel python3-devel python2-pip python3-pip python3-flit python3-sphinx
BuildArch:      noarch

%description
Entry points are a way for Python packages to advertise objects with some common interface. The most common
examples are console_scripts entry points, which define shell commands by identifying a Python function to run.

Groups of entry points, such as console_scripts, point to objects with similar interfaces. An application might
use a group to find its plugins, or multiple groups if it has different kinds of plugins.

%package -n python2-entrypoints
Summary:        Discover and load entry points from installed packages
Requires:       python2-configparser
%{?python_provide:%python_provide python2-entrypoints}

%description -n python2-entrypoints
Entry points are a way for Python packages to advertise objects with some common interface. The most common
examples are console_scripts entry points, which define shell commands by identifying a Python function to run.

Groups of entry points, such as console_scripts, point to objects with similar interfaces. An application might
use a group to find its plugins, or multiple groups if it has different kinds of plugins.

%package -n python3-entrypoints
Summary:       Discover and load entry points from installed packages
%{?python_provide:%python_provide python3-entrypoints}

%description -n python3-entrypoints
Entry points are a way for Python packages to advertise objects with some common interface. The most common
examples are console_scripts entry points, which define shell commands by identifying a Python function to run.

Groups of entry points, such as console_scripts, point to objects with similar interfaces. An application might
use a group to find its plugins, or multiple groups if it has different kinds of plugins.

%prep
%autosetup -n entrypoints-%{version} -p1

%build
XDG_CACHE_HOME=%{_builddir}/entrypoints-%{version}/.cache FLIT_NO_NETWORK=1 flit build --format wheel
cd doc
make html PYTHON="%{__python3}" SPHINXBUILD=sphinx-build-%{python3_version}
find %{_builddir}/entrypoints-%{version} -type f -name .buildinfo -delete

%install
%py3_install_wheel entrypoints-%{version}-py2.py3-none-any.whl
%py2_install_wheel entrypoints-%{version}-py2.py3-none-any.whl

%files -n python2-entrypoints
%doc LICENSE doc/_build/html
%{python2_sitelib}/*

%files -n python3-entrypoints
%doc LICENSE doc/_build/html
%{python3_sitelib}/*

%changelog
* Thu Nov 21 2019 lingsheng <lingsheng@huawei.com> - 0.2.3-10
- Package init
